summaryrefslogtreecommitdiff
path: root/resources/locale/update-po.sh
diff options
context:
space:
mode:
Diffstat (limited to 'resources/locale/update-po.sh')
-rwxr-xr-xresources/locale/update-po.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/resources/locale/update-po.sh b/resources/locale/update-po.sh
new file mode 100755
index 0000000..4692d60
--- /dev/null
+++ b/resources/locale/update-po.sh
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+# get directory of script and cd to it
+DIR="$( cd "$( dirname "$0" )" && pwd )"
+cd $DIR
+
+echo "Insert the locale which you want to update:";
+read locale;
+
+if [ "$locale" == "" ]
+then
+ echo "No locale inserted! Aborting...";
+ exit 1
+fi
+
+msgmerge -U $locale/LC_MESSAGES/$locale.po gnomepie.pot